:root{
    --dark-header-li: #fff;
    --background-color: #191a1b;
    --header-color: #79a617;
    --dark-bg-color: #000;
    --li-color: #79a617;
    --dark-txt-color: #38a617;
    --light-blue-color: #38a617;
    --dark-border-col: #54642e;
    --light-txt-col: #b8b8b8c0;
    --dark-corr-col: #e7eae0;
    --dark-span-col: white;
    --incorrect-col: #ff5062;
    --button-content-hover: rgba(27, 27, 27, 0.719);
    --popup-bg-color: rgba(0, 0, 0, 0.733);
    --copyright-color: #272727;
}


:root[data-theme="terminal"]{
    --background-color: #ced7e0;
    --header-color: #3b4c58;
    --dark-bg-color: #323437;
    --li-color: #3b4c58;
    --dark-txt-color: #81c4dd;
    --light-blue-color: #81c4dd;
    --dark-border-col: #7599b1;
    --light-txt-col: #7599b1;
    --dark-corr-col: #60cff7;
    --dark-span-col: #64d6ff;
    --incorrect-col: #bf616a;
    --button-content-hover: rgba(27, 27, 27, 0.719);
    --popup-bg-color: rgba(0, 0, 0, 0.733);
    --copyright-color: #323437;
}
:root[data-theme="coffee"]{
    --dark-header-li: #fff;
    --background-color: #ceb08b;
    --header-color: #14120f;
    --dark-bg-color: #1f1f1f;
    --li-color: #14120f;
    --dark-txt-color: #ceb18d;
    --light-blue-color: #d4d2d1;
    --dark-border-col: #14120f;
    --light-txt-col: #d4d2d1cb;
    --dark-corr-col: #14120f;
    --dark-span-col: white;
    --incorrect-col: #ff5062;
    --button-content-hover: rgba(27, 27, 27, 0.719);
    --popup-bg-color: rgba(0, 0, 0, 0.733);
    --copyright-color: #272727;
}

:root[data-theme="cheesecake"]{
    --background-color: #fdf0d5;
    --header-color: #8e2949;
    --dark-bg-color: #1f1f1f;
    --li-color: #8e2949;
    --dark-txt-color: #8e2949;
    --light-blue-color: #fdf0d5;
    --dark-border-col: #14120f;
    --light-txt-col: #d91c81;
    --dark-corr-col: #1f1f1f;
    --dark-span-col: white;
    --incorrect-col: #00a2ff;
    --button-content-hover: rgba(27, 27, 27, 0.719);
    --popup-bg-color: rgba(0, 0, 0, 0.733);
    --copyright-color: #272727;
}





*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: monospace;
    color: var(--light-txt-col);
}
body{
    background-color: var(--background-color);
    
}
.dark{
    position: fixed;
    bottom: 60px;
    color: var(--light-txt-col);
   background: none;
    border: 1px solid var(--dark-border-col);
    padding: 10px 30px;
}
.dark-mode-div{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.darkmode{
    background-color: var(--dark-bg-color);
    color: var(--dark-header-li);
}
.darkmode nav ul li{
    color: var(--dark-header-li);
}
.darkmode h1{
    color: var(--dark-header-li);
}
nav {
    display: flex;
    
}
nav ul{
    display: flex;
    justify-content: flex-end;
    position: absolute;
    right: 20px;
}
nav ul li{
   font-size: 16px;
   list-style: none;

    display: flex;
    margin: 0 10px;
    color: var(--li-color);
    cursor: pointer;
}
nav ul li:hover{
    text-decoration: underline;
}
.container{
    display: flex;
    flex-direction:column;
    padding: 0 10px;
    align-items: center;
    justify-content: center;
    min-height: 80vh;
    
}
.container h1{
    color: var(--header-color);;
    margin-bottom: 8px;
}

header img{
    height: 20px;
    width: auto;
    margin-left: 15px;
    align-items: center;
    
}
header{
    margin: 15px 0;
}
.result-details{
    color: var(--dark-border-col);
}
::selection{
    color: var(--dark-border-col);

}
.wrapper{
    width: 1200px;
    padding: 35px;
   
    color: var(--background-color);
    border-radius: 30px;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.05);
}
.wrapper .input-feild{
    opacity: 0;
    z-index: 999;
    position: absolute;
}
.wrapper .content-box{
    padding: 13px 20px 0;
    border-radius: 10px;
    
}
.content-box .typing-text{
    overflow: hidden;
    letter-spacing: 20px;
    line-height: 1.3;
    max-height: 256px;
}
.typing-text::-webkit-scrollbar{
    width: 0;
}
.typing-text p{
    font-size: 21px;
    text-align: justify;
    letter-spacing: 1px;
    word-break: break-all;
}
.typing-text p span{
    position: relative;
}
.typing-text p span.correct{
    color: var(--dark-corr-col);
}
.darkmode .typing-text p span.correct {
    color: var(--dark-corr-col);
}
.typing-text p span.incorrect{
    color: var(--incorrect-col);
    border-radius: 4px;
}
.typing-text p span:active::before{
    position: absolute;
    content: "";
    height: 2px;
    width: 100%;
    bottom: 0;
    left: 0;
    opacity: 0;
    border-radius: 5px;
    animation: blink 1s ease-in-out infinite;
}
.darkmode .content span{
    color: var(--dark-span-col);
}

/* Caret styles */
.caret {
    position: absolute;
    top: 0;
    left: 0;
    width: 1px;
    height: 1em;
    background: black; /* Adjust color as needed */
    animation: blink-caret 1s step-end infinite;
}

@keyframes blink-caret {
    from, to {
        background-color: transparent;
    }
    50% {
        background-color: black;
    }
}



@keyframes blink{
    50%{
        opacity: 1;
    }
}
.content ul{
    width: 100%;
}
.content-box .content{
    margin-top: 17px ;
    display: flex;
    padding: 12px 0;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    border-top: 3px solid;
}
.content-button{
    display: flex;
    justify-content: center;
    align-items: center;
}
.content-button button{
    outline: none;
    border: none;
    
    margin-top: 10px;
    padding: 8px;
    font-size: 17px;
    font-weight: 600;
    cursor: pointer;
    border-radius: 15px;
    border: 3px solid var(--light-txt-col);;
    background: none;
    transition:  0.5s ease;

}
.content-button button:active{
    transform: scale(0.8);
}
.content-button button:hover{
    background: none;
    color: var(--dark-bg-color);
    scale: 1.2;

}
.content .result-details{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    width: calc(100% - 140px);
    justify-content: space-between;
}
.result-details li{
    display: flex;
    height: 20px;
    list-style: none;
    position: relative;
    align-items: center;
}
.result-details li:not(:first-child){
    padding: 22px;
    border-left: 2px solid #3b4c58;
}
.result-details li p{
    font-size: 13px;
}
.result-details li span{
    display: block;
    font: 13px;
    margin-left: 10px;
}
li span b{
    font-weight: 500;
}
li:not(:first-child) span{
    font-weight: 500;
}
li:not(:first-child) span{
    font-weight: 500;
}

.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--popup-bg-color);
    z-index: 9999;
    
}

.popup-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
   background-color: var(--popup-bg-color);
    padding: 20px;
    border-radius: 10px;
}

.popup button {
    margin-top: 20px;
    padding: 10px 15px;
    color: var(--dark-txt-color);
    background: none;
    border: 2px solid var(--dark-txt-color);
}

@media (max-width: 745px) {
    .wrapper {
        padding: 20px;
    }
    .content-box .content {
        padding: 20px 0;
    }
    .content-box .typing-text {
        max-height: 100%;
    }
    .typing-text p {
        font-size: 19px;
        text-align: left;
    }
    .content button {
        width: 100%;
        font-size: 15px;
        padding: 10px 0;
        margin-top: 20px;
    }
    .content .result-details {
        width: 100%;
    }
    .result-details li:not(:first-child) {
        border-left: 0;
        padding: 0;
    }
    .result-details li p,
    .result-details li span {
        font-size: 15px;
    }
}
@media (max-width: 518px) {
    .wrapper .content-box {
        padding: 10px 15px 0;
    }
    .typing-text p {
        font-size: 13px;
    }
    .result-details li {
        margin-bottom: 10px;
    }
    .content button {
        margin-top: 10px;
    }
}
.copyright{
    position: absolute;
    bottom: 10px;
    width: 100%;
    text-align: center;
    margin: 1px solid var(--copyright-color);
}
#theme-selector{
    position: absolute;
    right: 40px;
    bottom: 1px;
    padding: 5px;
    font-size: 16px;
    border-radius: 5px solid;
    background:  none;
    border: 1px solid var(--copyright-color);
}